#
# Mistype Errors Configuration File
# v 1.0 by LP team
#
# Rule weigth is probability given in percent and as integer number 
# 

@insert
active = YES
# general insertion rules: concerns any symbol except ' ' (space)
default = 50



@skip
active = YES
# <symbol to skip> <right symbol>
default = 30

# it is less probable to type unnecessary symbol at the start of word
^ q|w|e|r|t|y|u|i|o|p|a|s|d|f|g|h|j|k|l|z|x|c|v|b|n|m = 25
# at the end it is more probable
q $ = 40
w $ = 40
e $ = 40
r $ = 40
t $ = 40
y $ = 40
u $ = 40
i $ = 40
o $ = 40
p $ = 40
a $ = 40
s $ = 40
d $ = 40
f $ = 40
g $ = 40
h $ = 40
j $ = 40
k $ = 40
l $ = 40
z $ = 40
x $ = 40
c $ = 40
v $ = 40
b $ = 40
n $ = 40
m $ = 40

# doubles
q q = 65
w w = 65
e e = 65
r r = 65
t t = 65
y y = 65
u u = 65
i i = 65
o o = 65
p p = 65
a a = 65
s s = 65
d d = 65
f f = 65
g g = 65
h h = 65
j j = 65
k k = 65
l l = 65
z z = 65
x x = 65
c c = 65
v v = 65
b b = 65
n n = 65
m m = 65

# wider surrounding
q w|s|a = 55
w e|d|s|a|q = 55
e w|s|d|f|r = 55
r e|d|f|g|t = 55
t r|f|g|h|y = 55
y t|g|h|j|u = 55
u y|h|j|k|i = 55
i u|j|k|l|o = 55
o i|k|l|p = 55
p o = 55
a q|w|s|x|z = 55
s s|q|w|e|d|c|x|z = 55
d s|w|e|r|f|v|c|x = 55
f c|d|e|r|t|g|b|v = 55
g v|f|r|t|y|h|n|b = 55
h b|g|t|y|u|j|m|n = 55
j n|h|y|u|i|k|m = 55
k m|j|u|i|o|l = 55
l k|i|o|p = 55
z x|s|a = 55
x c|d|s|z = 55
c v|f|d|x = 55
v b|g|f|c = 55
b n|h|g|v = 55
n m|j|h|b = 55
m n|j|k = 55





@swap
active = YES
default = 50

# a little bit more probability for different hand symbols
# hands are more asynchronous than fingers

q y|h|n|u|j|m|i|k|l|o|p|b = 55
w y|h|n|u|j|m|i|k|l|o|p|b = 55
e y|h|n|u|j|m|i|k|l|o|p|b = 55
r y|h|n|u|j|m|i|k|l|o|p|b = 55
t y|h|n|u|j|m|i|k|l|o|p|b = 55
a y|h|n|u|j|m|i|k|l|o|p|b = 55
s y|h|n|u|j|m|i|k|l|o|p|b = 55
d y|h|n|u|j|m|i|k|l|o|p|b = 55
f y|h|n|u|j|m|i|k|l|o|p|b = 55
g y|h|n|u|j|m|i|k|l|o|p|b = 55
z y|h|n|u|j|m|i|k|l|o|p|b = 55
x y|h|n|u|j|m|i|k|l|o|p|b = 55
c y|h|n|u|j|m|i|k|l|o|p|b = 55
v y|h|n|u|j|m|i|k|l|o|p|b = 55
b y|h|n|u|j|m|i|k|l|o|p|b = 55

y q|w|e|r|t|g|b|v|c|x|z|b|a|s|d = 55
h q|w|e|r|t|g|b|v|c|x|z|b|a|s|d = 55
n q|w|e|r|t|g|b|v|c|x|z|b|a|s|d = 55
u q|w|e|r|t|g|b|v|c|x|z|b|a|s|d = 55
j q|w|e|r|t|g|b|v|c|x|z|b|a|s|d = 55
m q|w|e|r|t|g|b|v|c|x|z|b|a|s|d = 55
i q|w|e|r|t|g|b|v|c|x|z|b|a|s|d = 55
k q|w|e|r|t|g|b|v|c|x|z|b|a|s|d = 55
o q|w|e|r|t|g|b|v|c|x|z|b|a|s|d = 55
l q|w|e|r|t|g|b|v|c|x|z|b|a|s|d = 55
p q|w|e|r|t|g|b|v|c|x|z|b|a|s|d = 55
b q|w|e|r|t|g|b|v|c|x|z|b|a|s|d = 55


@change
active = YES
# all chages
default = 30

# close surrounding
q q|w = 60
w q|w|e = 60
e w|e|r = 60
r e|r|t = 60
t r|t|y = 60
y t|y|u = 60
u y|u|i = 60
i u|i|o = 60
o i|o|p = 60
p o|p = 60
a a|s = 60
s a|s|d = 60
d s|d|f = 60
f d|f|g = 60
g f|g|h = 60
h g|h|j = 60
j h|j|k = 60
k j|k|l = 60
l k|l = 60
z z|x = 60
x z|x|c = 60
c x|c|v = 60
v c|v|b = 60
b v|b|n = 60
n b|n|m = 60
m n|m = 60

# wider surrounding
q q|w|s|a = 50
w w|e|d|s|a|q = 50
e e|w|s|d|f|r = 50
r r|e|d|f|g|t = 50
t t|r|f|g|h|y = 50
y y|t|g|h|j|u = 50
u u|y|h|j|k|i = 50
i i|u|j|k|l|o = 50
o o|i|k|l|p = 50
p p|o = 50
a a|q|w|s|x|z = 50
s a|s|q|w|e|d|c|x|z = 50
d d|s|w|e|r|f|v|c|x = 50
f f|c|d|e|r|t|g|b|v = 50
g g|v|f|r|t|y|h|n|b = 50
h h|b|g|t|y|u|j|m|n = 50
j j|n|h|y|u|i|k|m = 50
k k|m|j|u|i|o|l = 50
l l|k|i|o|p = 50
z z|x|s|a = 50
x x|c|d|s|z = 50
c c|v|f|d|x = 50
v v|b|g|f|c = 50
b b|n|h|g|v = 50
n n|m|j|h|b = 50
m m|n|j|k = 50
